FdmExtOUJumpOp Class Reference

`#include <ql/experimental/finitedifferences/fdmextoujumpop.hpp>`

Inherits FdmLinearOpComposite.

## Public Member Functions

| FdmExtOUJumpOp (const boost::shared_ptr< FdmMesher > &mesher, const boost::shared_ptr< ExtOUWithJumpsProcess > &process, const boost::shared_ptr< YieldTermStructure > &rTS, const FdmBoundaryConditionSet &bcSet, Size integroIntegrationOrder)
Size | size () const
void | setTime (Time t1, Time t2)
Disposable< Array > | apply (const Array &r) const
Disposable< Array > | apply_mixed (const Array &r) const
Disposable< Array > | apply_direction (Size direction, const Array &r) const
Disposable< Array > | solve_splitting (Size direction, const Array &r, Real s) const
Disposable< Array > | preconditioner (const Array &r, Real s) const
Disposable< std::vector< SparseMatrix > > | toMatrixDecomp () const

## Detailed Description

References: Kluge, Timo L., 2008. Pricing Swing Options and other Electricity Derivatives, http://eprints.maths.ox.ac.uk/246/1/kluge.pdf